/*
 * Globals
 */

/* Links */
a,
a:focus,
a:hover {
  color: #fff;
}

/* Custom default button */
.btn {
  text-shadow: none; /* Prevent inheritence from `body` */
}

/*
 * Base structure
 */

html,
body {
  height: 100%;
}
body {
	background-color: #663366;
  color: #fff;
  text-align: center;
}

body.success { background-color: green }
body.danger { background-color: darkred }
body.success, body.danger {
	-webkit-transition: background-color 200ms linear;
    -moz-transition: background-color 200ms linear;
    -o-transition: background-color 200ms linear;
    -ms-transition: background-color 200ms linear;
    transition: background-color 200ms linear;
} 

/* Extra markup and styles for table-esque vertical and horizontal centering */
.site-wrapper {
  display: table;
  width: 100%;
  height: 100%; /* For at least Firefox */
  min-height: 100%;
  padding:25px
/*  -webkit-box-shadow: inset 0 0 100px rgba(0,0,0,.5);
          box-shadow: inset 0 0 100px rgba(0,0,0,.5);
*/
        }
.site-wrapper.noshadow {
 	-webkit-box-shadow: none;
          box-shadow: none
}
.site-wrapper-inner {
  display: table-cell;
  vertical-align: top;
}

/*
 * Header
 */
.masthead { padding-top:30px }

.masthead.bg { background-color: #663366 }

.masthead-brand {
  position:relative;
  margin-top: 10px;
  margin-bottom: 10px;
  margin-left:60px;
  text-align:right
}
.masthead-brand img { position:absolute; top:-5px;left:-60px; }

.masthead-nav > li {
  display: inline-block;
	cursor:pointer
}
.masthead-nav > li + li {
  margin-left: 20px;
}
.masthead-nav > li > a {
  padding-right: 0;
  padding-left: 0;
  font-size: 16px;
  color: #fff; /* IE8 proofing */
  color: rgba(255,255,255,.75);
  border-bottom: 2px solid transparent;
}
.masthead-nav > li > a:hover,
.masthead-nav > li > a:focus {
  background-color: transparent;
  border-bottom-color: #a9a9a9;
  border-bottom-color: rgba(255,255,255,.25);
}
.masthead-nav > .active > a,
.masthead-nav > .active > a:hover,
.masthead-nav > .active > a:focus {
  color: #fff;
  border-bottom-color: #fff;
}

@media (min-width: 768px) {
  
  .masthead-brand {
    float: left;
  }
  .masthead-nav {
    float: right;
  }
}


label, small {  color: #663366 }

.cover-container {
  margin-right: auto;
  margin-left: auto;
}
#verkoopdiv, #overzichtdiv { margin-top:110px !important }

#verkoopdiv { width:500px; margin:0 auto }

.inner { padding:0px 20px }

.card {
	color:black;
	text-shadow: none; /* Prevent inheritence from `body` */
  text-align: left;
}

h3 { line-height:normal }

#small { line-height: .5!important; font-size:.85rem }

.alert { display:none; margin-bottom: 0px; border-radius: 0px; border:0px !important ; color: white !important; background-color: none !important}
#code { text-align: center; font-size: 24px; color: #663366 !important; font-weight: bold }
#check, #btn_verkoop, #btn_print, #btn_retour, #codefout, #verkoopfout, #personal, #txt_verkoop, #txt_retour, #knobs, .ticketplural,#plusonecard { display:none }

#ticket,#leerlingid { color:black }

#pdf { margin-top: 20px}

#personal { text-align: left; }
#personal input { font-size:20px; padding:0 }
#personal label { margin: 0;}
#personal #nummerdiv { float:left }
#personal #klasdiv { float: right }
#personal #naamdiv { clear:both; }

#plusonecard .input-group { width:260px}



#btn_retour { margin-top:10px}
#txt_verkoop, #txt_retour { text-align: center} 
#txt_verkoop {margin-top:30px}
#overzichtdiv, #kasdiv { display:none; text-shadow: none; color:white }
#overzichtdiv { padding-top:30px }
#kasdiv { padding-top:150px }
#knobs { position:relative; top:-20px; ; margin:0 auto; width:300px }
.totalknob { clear:both; height:200px; margin-bottom:30px }
.totalknobsmall { display: none; }

.knobdiv { display: inline-block; margin:0 5px; height:100px; overflow:hidden}
.knobdiv h4 { margin: 0 0 10px}
.canvasholder { background-color: lightgray; height:400px; width:400px }

.betaald { background-color:green; }
.betaald:hover { background-color: limegreen }
.retour { background-color:orangered; }
.retour:hover { background-color:darkorange }
.betaald, .retour { color:white !important; font-weight:bold }

span.betaald, span.retour { padding:5px 20px }

.table>tbody>tr{ height:49px }
.table>tbody>tr>td { vertical-align: middle }
.dataTables_scrollHead { padding-top:20px}
.dataTables_length label,.dataTables_filter label, .dataTables_info, .dataTables_paginate a  { color:white !important }
.dataTables_filter input { color: #663366 }
.dataTable th, .dataTable td { text-align: left }
.dataTable tbody tr { background-color: transparent !important }

thead.hidden { display: none ;}
.table tfoot > * > * {background-color:transparent }

table.dataTable thead th, table.dataTable thead td { color:white; border-bottom-color:white }
table.dataTable tfoot th, table.dataTable tfoot td { color:white; border-top-color: white }
table.dataTable th { padding:10px !important}
table.dataTable thead .sorting,
table.dataTable thead .sorting_asc,
table.dataTable thead .sorting_desc,
table.dataTable thead .sorting_asc_disabled,
table.dataTable thead .sorting_desc_disabled {
	cursor: pointer;
	position: relative;
}

table.dataTable thead .sorting:after,
table.dataTable thead .sorting_asc:after,
table.dataTable thead .sorting_desc:after {
	position: absolute;
	top: 8px;
	right: 8px;
	display: block;
	font-family: 'Glyphicons Halflings';
	opacity: 0.8;
}
table.dataTable thead .sorting:after {
	opacity: 0.1;
	content: "\e150"; /* sort */
}
table.dataTable thead .sorting_asc:after {
	content: "\e155"; /* sort-by-attributes */
}
table.dataTable thead .sorting_desc:after {
	content: "\e156"; /* sort-by-attributes-alt */
}

.btn-lg {
  padding: 10px 20px;
  font-weight: bold;
}

form { margin-top: 30px }
#logo { margin-top: 50px }

.spinner {
  -webkit-animation: rotateplane 2s infinite ease-in-out;
  animation: rotateplane 2s infinite ease-in-out;
}

@-webkit-keyframes rotateplane {
  0% { -webkit-transform: perspective(120px) }
  25% { -webkit-transform: perspective(120px) rotateY(180deg) }
  50% { -webkit-transform: perspective(120px) rotateZ(-180deg)  }
  75% { -webkit-transform: perspective(120px) rotateX(180deg)  }
  100% { -webkit-transform: perspective(120px) rotateX(0deg)   }
}

@keyframes rotateplane {
  0% { 
    transform: perspective(120px) rotateX(0deg) rotateY(0deg);
    -webkit-transform: perspective(120px) rotateX(0deg) rotateY(0deg) 
  } 50% { 
    transform: perspective(120px) rotateX(-180.1deg) rotateY(0deg);
    -webkit-transform: perspective(120px) rotateX(-180.1deg) rotateY(0deg) 
  } 100% { 
    transform: perspective(120px) rotateX(-180deg) rotateY(-179.9deg);
    -webkit-transform: perspective(120px) rotateX(-180deg) rotateY(-179.9deg);
  }
}

/*
 * Affix and center
 */
	.masthead-brand, #knobs { clear:both }
	.masthead { margin:0 20px }
	#knobs { margin-top:60px }
	
@media (min-width: 768px) {
/* Start the vertical centering */
  /* Pull out the header and footer */
  .masthead {
    position: fixed;
	  z-index:999;
    top: 0;
  }
  .masthead-brand,#knobs { clear:none }
  .masthead-brand { text-align:left }
  .masthead { margin:0  }
  #knobs { margin-top:0px }
  .totalknob { display:none }
  .totalknobsmall { display: block; }
 
  /* Handle the widths */
  .masthead,
  .cover-container,
	.verkoopform {
    width: 100%; /* Must be percentage or pixels for horizontal alignment */
  }
}

@media (min-width: 992px) {
  .masthead,
  .cover-container {
    width: 900px;
  }
	.verkoopform { width:400px; margin:0 auto }
}
